<?php
/* --------------------------------------------------------------
   CustomerGroupWriteServiceInterface.inc.php 2017-09-05
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2017 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

/**
 * Interface CustomerGroupWriteServiceInterface
 *
 * @category   System
 * @package    CustomerGroup
 * @subpackage Interfaces
 */
interface CustomerGroupWriteServiceInterface
{
	/**
	 * Saves customer group entity in database.
	 *
	 * @param \CustomerGroupInterface $customerGroup Customer group unit to be saved.
	 *
	 * @return $this|\CustomerGroupWriteServiceInterface Same instance for chained method calls.
	 */
	public function store(CustomerGroupInterface $customerGroup);
	
	
	/**
	 * Deletes customer group entity from database.
	 *
	 * @param \CustomerGroupInterface $customerGroup Customer group to be deleted.
	 *
	 * @return $this|\CustomerGroupWriteServiceInterface Same instance for chained method calls.
	 */
	public function delete(CustomerGroupInterface $customerGroup);
}